Page MenuHomePhabricator

Logging should be handled outside of core gateway class
Closed, ResolvedPublic4 Story Points

Description

Create a separate logger class so DonationInterface can log things even when gateways are not fully instantiated. Should handle scrubbing verboten values and work with whichever backend (mediawiki / drupal) DI is used in.

Related Objects

Mentioned In
rEDIVabd7dd6c9ac1: Add Monolog and PSR\Logger
rMEXT61dd21ebf410: Updated mediawiki/extensions Project: mediawiki/extensions/DonationInterface…
rMEXT1843f60c4a61: Updated mediawiki/extensions Project: mediawiki/extensions/DonationInterface…
rMEXT84a11b72f529: Updated mediawiki/extensions Project: mediawiki/extensions/DonationInterface…
rMEXTea062ee0001d: Updated mediawiki/extensions Project: mediawiki/extensions/DonationInterface…
rMEXTf5439445bb95: Updated mediawiki/extensions Project: mediawiki/extensions/DonationInterface…
rMEXTdd7a32d2c25e: Updated mediawiki/extensions Project: mediawiki/extensions/DonationInterface…
rMEXTa62973343381: Updated mediawiki/extensions Project: mediawiki/extensions/DonationInterface…
rMEXTec73a0ec7d0e: Updated mediawiki/extensions Project: mediawiki/extensions/DonationInterface…
rMEXT47d25201726b: Updated mediawiki/extensions Project: mediawiki/extensions/DonationInterface…
rMEXTe627d50c1a03: Updated mediawiki/extensions Project: mediawiki/extensions/DonationInterface…
rEDOI7158154fbc4c: Use PSR logging in GatewayPage classes
rEDOI66ef9e4f3f2a: Use PSR logging in gateway adapters
rEDOI4085b4e68948: Add Monolog handlers and processors
rEDOI3f29881dc49b: Use PSR logging for gateway extras
rEDOI3e8b0acd77d4: Use PSR logging in DonationData
rEDOI0262ac36e2c6: Revert "Move some logging functions into DonationLogger"
rEDOIf311c6099c6a: Revert "Use DonationLogger in GatewayPage subclasses"
rEDOIdae2ec7771e9: Revert "Add push and pop fns to DonationLoggerContext"
rEDOI36e3ddbae060: Add push and pop fns to DonationLoggerContext
rEDOI6230aaaf8e5f: Use DonationLogger in GatewayPage subclasses

Event Timeline

Ejegg created this task.Jan 8 2015, 11:46 PM
Ejegg raised the priority of this task from to Normal.
Ejegg updated the task description. (Show Details)
Ejegg added a project: Fundraising-Backlog-Old.
Ejegg edited a custom field.
Ejegg added a subscriber: Ejegg.
Ejegg set Security to None.
Ejegg edited a custom field.
awight awarded a token.Feb 5 2015, 6:57 AM
awight added a subscriber: awight.Feb 5 2015, 7:00 AM

We would do more and better logging if not wasting our energy passing around and managing a Logger instance.

Also: let's use a PSR-3 library instead of home-brewing.

atgo assigned this task to Ejegg.Feb 11 2015, 8:34 PM
atgo added a subscriber: atgo.

Testing something... will put this back in 2 seconds

Change 190134 had a related patch set uploaded (by Ejegg):
Add push and pop fns to DonationLoggerContext

https://gerrit.wikimedia.org/r/190134

Patch-For-Review

Change 190135 had a related patch set uploaded (by Ejegg):
Use DonationLogger in GatewayPage subclasses

https://gerrit.wikimedia.org/r/190135

Patch-For-Review

Change 190135 merged by jenkins-bot:
Use DonationLogger in GatewayPage subclasses

https://gerrit.wikimedia.org/r/190135

Change 190134 merged by jenkins-bot:
Add push and pop fns to DonationLoggerContext

https://gerrit.wikimedia.org/r/190134

Change 192380 had a related patch set uploaded (by Ejegg):
Add Monolog and PSR\Logger

https://gerrit.wikimedia.org/r/192380

Patch-For-Review

Change 192382 had a related patch set uploaded (by Ejegg):
Revert "Add push and pop fns to DonationLoggerContext"

https://gerrit.wikimedia.org/r/192382

Patch-For-Review

Change 192383 had a related patch set uploaded (by Ejegg):
Revert "Use DonationLogger in GatewayPage subclasses"

https://gerrit.wikimedia.org/r/192383

Patch-For-Review

Change 192384 had a related patch set uploaded (by Ejegg):
Revert "Move some logging functions into DonationLogger"

https://gerrit.wikimedia.org/r/192384

Patch-For-Review

Change 192382 merged by jenkins-bot:
Revert "Add push and pop fns to DonationLoggerContext"

https://gerrit.wikimedia.org/r/192382

Change 192383 merged by jenkins-bot:
Revert "Use DonationLogger in GatewayPage subclasses"

https://gerrit.wikimedia.org/r/192383

Change 192384 merged by jenkins-bot:
Revert "Move some logging functions into DonationLogger"

https://gerrit.wikimedia.org/r/192384

Change 192393 had a related patch set uploaded (by Ejegg):
Use PSR logging in DonationData

https://gerrit.wikimedia.org/r/192393

Patch-For-Review

Change 192385 had a related patch set uploaded (by Ejegg):
Add Monolog handlers and processors

https://gerrit.wikimedia.org/r/192385

Patch-For-Review

Change 192977 had a related patch set uploaded (by Ejegg):
Use PSR logging for gateway extras

https://gerrit.wikimedia.org/r/192977

Change 193272 had a related patch set uploaded (by Ejegg):
Use PSR logging in gateway adapters

https://gerrit.wikimedia.org/r/193272

Change 193280 had a related patch set uploaded (by Ejegg):
Use PSR logging in GatewayPage classes

https://gerrit.wikimedia.org/r/193280

Change 192380 merged by Awight:
Add Monolog and PSR\Logger

https://gerrit.wikimedia.org/r/192380

Change 192385 merged by jenkins-bot:
Add Monolog handlers and processors

https://gerrit.wikimedia.org/r/192385

Change 192393 merged by jenkins-bot:
Use PSR logging in DonationData

https://gerrit.wikimedia.org/r/192393

Change 192977 merged by jenkins-bot:
Use PSR logging for gateway extras

https://gerrit.wikimedia.org/r/192977

Change 193272 merged by jenkins-bot:
Use PSR logging in gateway adapters

https://gerrit.wikimedia.org/r/193272

Change 193280 merged by jenkins-bot:
Use PSR logging in GatewayPage classes

https://gerrit.wikimedia.org/r/193280

awight closed this task as Resolved.Mar 12 2015, 9:31 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:52 PM